%% ----------------------------------------------------------------------
%% Esta es una plantilla para la clase de documento exam, en español
%% ----------------------------------------------------------------------
%% 2017 por Fausto M. Lagos S. <piratax007@protonmail.ch>
%% 
%% Este trabajo puede ser distribuido o modificado bajo los
%% términos y condiciones de la LaTeX Project Public License (LPPL) v1.3C, 
%% o cualquier versión posterior. La última versión de esta licencia
%% puede verse en:
%% http://www.latex-project.org/lppl.txt
%% 
%% Usted es libre de usarlo, modificarlo o distribuirlo siempre que se
%% respeten los términos de la licencia y se reconozca al autor original
%% ----------------------------------------------------------------------

%Preámbulo
\documentclass[11pt, legalpaper]{exam}
\usepackage[utf8]{inputenc}
\usepackage[slovak]{babel}
\usepackage[margin=.55in]{geometry}
\usepackage{amsmath,amssymb}
\usepackage{multicol}
\usepackage{graphicx}
\usepackage{tikz}
\usepackage{wrapfig}

% Configuración del Encabezado
\newcommand{\class}{B211-132NAST}
\newcommand{\term}{Numerical Analysis of Structures}
\newcommand{\examnum}{B-379}
\newcommand{\examdate}{3.11.2021   16:00}
\newcommand{\timelimit}{1 hour 40 minutes}
\pagestyle{head}
\firstpageheader{Faculty of Civil Engineering}{MIDTERM REVIEW TEST}{Department of Mechanics}
\runningheader{\class}{\examnum\ - Page \thepage\ of \numpages}{\examdate}
\runningheadrule

% Configuración de la tabla de calificación
\pointpoints{Points}{Points}
\hpword{Points:}
\vpword{Points}
\vtword{Total:}
\htword{Total}
\vsword{Results}
\hsword{Results:}
\vqword{Problem}
\hqword{Problem:}

\begin{document}
% Definición del Encabezado
\vspace{1cm}
\noindent
\begin{tabular*}{\textwidth}{l @{\extracolsep{\fill}} r @{\extracolsep{6pt}} l}
\textbf{\class}  \\
\textbf{\term} &&\\
\textbf{Room: \examnum} &\textbf{Name:} & \makebox[2.5in]{\hrulefill}\\
\textbf{Date: \examdate} &&\\
\textbf{Time limit: \timelimit} & Lecturers & \makebox[2.5in]{\emph{Prof. Jan Zeman and Martin Ladecký}}
\end{tabular*}\\
\rule[2ex]{\textwidth}{2pt}

% Bloque de instrucciones
\noindent
The test will consist of three parts. We adopt the \textbf{open-book policy}. You need to exceed the 50\% threshold (the test can be re-taken). The test results represent 20\% of the overall grade. The test results will be announced within two weeks.
%\begin{itemize}
%\item Direct stiffness method (10 points) 
%\item Governing equations of 1D elasticity (4 points)
%\item Finite element method for 1D elasticity (6 points) 
%\end{itemize}
% Tabla de calificaciones
\begin{center}
Teachers' table of grades. \\
\addpoints
% Puede presentar la tabla de calificación en orientación vertical [v] u horizontal [h]
\gradetable[h][questions]
\end{center}


\noindent
\rule[2ex]{\textwidth}{2pt}
\begin{minipage}{.65\textwidth}
\paragraph{Problem~1~[10 points]}
%%%%%%%%%%%%%%%%%%%%%%%%
The single-bar truss structure shown below is fixed at node~{\bf 2} and subjected to the concentrated force~(full arrow) of $300$~kN and the prescribed displacement of $3$~mm~(hollow arrow) at node~{\bf 1}. Determine:
%
\begin{itemize}
\itemsep=0pt

\item the $4 \times 4$ global stiffness matrix of the problem and the $4 \times 1$ matrix of the global external forces,

\item specify which degrees of freedom are supported~(E), and which are free~(F),

\item solve for the unknown displacement of node $\bf 1$,

\item compute the normal force in the element,

\item determine the reactions and check that they satisfy the global equilibrium.

\end{itemize}
%
The Young modulus of the bar is $E=34$~GPa and the cross-section area is $A= 2 \cdot 10^{-3}$~m$^2$.

%
\end{minipage}
\begin{minipage}[t]{0.3\textwidth}
 \vspace{-3cm}
  \centering\raisebox{\dimexpr \topskip-\height}{
    \includegraphics[width=1.0\textwidth]{structure_2.png}}
\end{minipage}

\vspace{2cm}




\begin{minipage}[t]{0.3\textwidth}
 \vspace{-2cm}
  \centering\raisebox{\dimexpr \topskip-\height}{
    \includegraphics[width=0.8\textwidth]{structure_2_2.png}}
\end{minipage}
\begin{minipage}{.65\textwidth}
\paragraph{Problem~2~[4 points]}
For the one-dimensional elasticity problem shown left specify
%
\begin{itemize}\itemsep=0pt
	\item the kinematic~(essential) boundary conditions,
	\item the static~(natural) boundary condition~(if any). 
	\item weak form of the governing equations.
\end{itemize}
%
The Young modulus equals to $E=20$~GPa.
\end{minipage}

\vspace{0.2cm}
\begin{minipage}[t]{0.8\textwidth}
\paragraph{Problem~3~[6 points]}
%%%%%%%%%%%%%%%%%%%%%%%
Determine and plot the normal stress field $\sigma (x)$ for the given displacement $u_2 = -6$ mm at node \raisebox{.5pt}{\textcircled{\raisebox{-.9pt} {2}}}, assuming discretization with 
	%
	\begin{itemize}\itemsep=0pt  
		\item two finite elements \raisebox{.5pt}{\textcircled{\raisebox{-.9pt} {1}}}: \raisebox{.5pt}{\textcircled{\raisebox{-.9pt} {1}}}--\raisebox{.5pt}{\textcircled{\raisebox{-.9pt} {2}}} and \raisebox{.5pt}{\textcircled{\raisebox{-.9pt} {2}}}: \raisebox{.5pt}{\textcircled{\raisebox{-.9pt} {2}}}--\raisebox{.5pt}{\textcircled{\raisebox{-.9pt} {3}}} with linear basis functions, 
		\item one finite element with quadratic basis functions.
	\end{itemize}
	%
	Consider the Young modulus of $E = 20$~GPa.
	\begin{center}
		 \def\svgwidth{.325\textwidth}{
		    \includegraphics[width=0.5\textwidth]{structure_1_3.png}}
		    \end{center}
		    	\emph{Hint}: $\sigma = Eu'$.
	\end{minipage} 
	
%\begin{minipage}[t]{0.3\textwidth}
 %\vspace{-1cm}

%\end{minipage}


\begin{center}
 \framebox{\sc Good luck!}
\end{center}

\newpage
\noindent
\rule[2ex]{\textwidth}{2pt}
\begin{center}
	\textbf{Solutions}
\end{center}


% Preguntas de ejemplo.
\begin{questions}
%\addpoints


%\addpoints
\question[10] 
%\addpoints
\question[4]
%\addpoints
\question[6]
\end{questions}


\end{document}
